Last Comment Bug 774090 - Implement Bug 686959 on IM
: Implement Bug 686959 on IM
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All Windows 7
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 10:00 PDT by Richard Marti (:Paenglab)
Modified: 2012-08-26 23:54 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch (4.19 KB, patch)
2012-07-15 10:01 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
comparision with folder sidebar (13.31 KB, image/png)
2012-08-06 06:57 PDT, Andreas Nilsson (:andreasn)
no flags Details
patch v2 (4.19 KB, patch)
2012-08-06 08:21 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Richard Marti (:Paenglab) 2012-07-15 10:00:09 PDT
Bug 686959 enhanced the treechildrens and listitems native appearance. This bug is to implement this for the contactlistbox entries.
Comment 1 Richard Marti (:Paenglab) 2012-07-15 10:01:28 PDT
Created attachment 642394 [details] [diff] [review]
patch
Comment 2 Andreas Nilsson (:andreasn) 2012-08-06 06:57:20 PDT
Looks good, apart from a small nitpick with the unselected state where it seems to be lacking a white line at the top. ui-r+ with that fixed.
Comment 3 Andreas Nilsson (:andreasn) 2012-08-06 06:57:54 PDT
Created attachment 649260 [details]
comparision with folder sidebar
Comment 4 Richard Marti (:Paenglab) 2012-08-06 08:21:52 PDT
Created attachment 649278 [details] [diff] [review]
patch v2

Yeah, the treechildren are a little bit different than the other elements. Added background-origin: border-box and it should be okay now.
Comment 5 Andreas Nilsson (:andreasn) 2012-08-06 09:20:42 PDT
Comment on attachment 649278 [details] [diff] [review]
patch v2

excellent!
Comment 6 Andreas Nilsson (:andreasn) 2012-08-06 09:23:13 PDT
Comment on attachment 649278 [details] [diff] [review]
patch v2

code looks good too!
Comment 7 Richard Marti (:Paenglab) 2012-08-06 10:06:59 PDT
Comment on attachment 649278 [details] [diff] [review]
patch v2

Bug 686959 has target TB 16. So this be good also for TB 16.
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-08-07 13:48:20 PDT
https://hg.mozilla.org/comm-central/rev/0fed583977b2
Comment 9 Justin Wood (:Callek) 2012-08-26 23:54:01 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/db0e36fc782f

Note You need to log in before you can comment on or make changes to this bug.